BizKitHub
DocsAPI ReferenceMember/bff/member/permission-templates/create
postMemberAdmin BFF

/bff/member/permission-templates/create

Create a permission template

MemberpostBffMemberPermission-templatesCreate

Parameters

JSON body

Request body

application/json
namestringRequired

Display name; unique within the organisation.

descriptionstringOptional
colorstringOptional

Hex like "#ec6c50" for chip styling.

permissionCodesstring[]Optional
roleCodesstring[]Optional

Response schema

1 status code documented

200Success
idnumberRequired

Response example

application/json
{
  "id": 0
}

Request example

POST /bff/member/permission-templates/create

post
curl -X POST "https://api.bizkithub.com/bff/member/permission-templates/create" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "name": "example_name",
  "description": "example_description",
  "color": "example_color",
  "permissionCodes": [
    "string"
  ],
  "roleCodes": [
    "string"
  ]
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key